QuaZIP quazip-0-5-1

- Main Page
- Related Pages
- Classes
- Files
- Directories

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes
QuaZipFileInfo Struct Reference

Information about a file inside archive. More...

`#include <quazipfileinfo.h>`

List of all members.

## Public Member Functions
QFile::Permissions | getPermissions () const
| Get the file permissions.
## Public Attributes
QString | name
| File name.
quint16 | versionCreated
| Version created by.
quint16 | versionNeeded
| Version needed to extract.
quint16 | flags
| General purpose flags.
quint16 | method
| Compression method.
QDateTime | dateTime
| Last modification date and time.
quint32 | crc
| CRC.
quint32 | compressedSize
| Compressed file size.
quint32 | uncompressedSize
| Uncompressed file size.
quint16 | diskNumberStart
| Disk number start.
quint16 | internalAttr
| Internal file attributes.
quint32 | externalAttr
| External file attributes.
QString | comment
| Comment.
QByteArray | extra
| Extra field.

## Detailed Description

Information about a file inside archive.

Call QuaZip::getCurrentFileInfo() or QuaZipFile::getFileInfo() to fill this structure.

## Member Function Documentation

QFile::Permissions QuaZipFileInfo::getPermissions | ( |  | ) | const

Get the file permissions.

Returns the high 16 bits of external attributes converted to QFile::Permissions.

References externalAttr.

The documentation for this struct was generated from the following files:

- quazip/quazipfileinfo.h
- quazip/quazipfileinfo.cpp